# Во имя Бога Милостивого, Милосердного!!!
# language: ru
Функциональность: Обращения к полям

  Сценарий: Вызов метода
    * Исходник:
```
package test
func foo() {
  foo.Bar(1,"2")
}
```
    * Результат:
```
void foo();

void foo() {
foo->Bar(1,"2");
}
```

  Сценарий: Вызов метода из пакета
    * Исходник:
```
package test
func foo() {
  x = bar()
  y = pkg.Bar()
  z = x + y
}
```
    * Результат:
```
void foo();

void foo() {
x=bar();
y=pkg->Bar();
z=x+y;
}
```

  Сценарий: Вызов метода из пакета ещё
    * Исходник:
```
package test
func foo() {
  foo.Bar(1,"2",digital.Low)
}
```
    * Результат:
```
void foo();

void foo() {
foo->Bar(1,"2",LOW);
}
```

  Сценарий: Обращение к полям динамически созданного класса
    * Исходник:
```
package test

type Device struct {
  v int
}

func NewDevice() *Device {
	d := &Device{}
	d.v = 1
	return d
}
```
    * Результат:
```
class Device {
public:  int v;
};
Device* NewDevice();

Device* NewDevice() {
auto d=new Device();
d->v=1;
return d;
}
```

  Сценарий:
    * Исходник:
```
package test

type Device struct {
  v int
}

func NewDevice() *Device {
	d := &Device{}
	d.v = 1
	return d
}
```
    * Результат:
```
class Device {
public:  int v;
};
Device* NewDevice();

Device* NewDevice() {
auto d=new Device();
d->v=1;
return d;
}
```
